[**@rxap/environment v19.1.0**](../README.md)

***

[@rxap/environment](../globals.md) / UpdateEnvironment

# Function: UpdateEnvironment()

> **UpdateEnvironment**(`environment`, `url`): `Promise`\<`void`\>

Defined in: [update-environment.ts:6](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/environment/src/lib/update-environment.ts#L6)

Loads the build.json and adds all keys to the environment object

## Parameters

### environment

[`Environment`](../interfaces/Environment.md)

### url

`string` = `'build.json'`

## Returns

`Promise`\<`void`\>
